Page MenuHomePhabricator

Different handling for lint errors in User: and other non-article namespaces
Closed, ResolvedPublic

Description

Maybe, we should stop linting the user namespace for starters? In many cases, users are probably experimenting and trying out stuff, and it looks like lint errors in that namespace is overwhelming the lists.

Or, maybe the UI needs to separate lint errors in the main / article namespace from everything else (user, talk, user:talk, etc).

Event Timeline

ssastry created this task.Apr 13 2017, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 4:29 PM

I think the UI needs a namespace filter of some kind.

Change 348198 had a related patch set uploaded (by Legoktm):
[mediawiki/extensions/Linter@master] Add namespace filter to Special:LintErrors

https://gerrit.wikimedia.org/r/348198

Legoktm claimed this task.Apr 14 2017, 3:50 AM

The API already had a namespace filter. I don't think we want to discard stuff in the user namespace as people might be working on drafts, etc., but having a namespace filter will make it easy for people to ignore it if they want to.

Change 348198 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Add namespace filter to Special:LintErrors

https://gerrit.wikimedia.org/r/348198

ssastry moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Apr 14 2017, 6:20 PM
ssastry closed this task as Resolved.May 25 2017, 2:28 PM
ssastry triaged this task as Normal priority.